VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsPlot"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private UP#, DOWN#          'expand axes about data
Private xTic!, yTic!

Public Sub setScale(CT As Control, XMAX#, YMAX#)
    CT.ScaleMode = vbUser
    CT.ScaleTop = gbYMULT * UP * YMAX
    CT.ScaleLeft = 0
    CT.ScaleHeight = -gbYMULT * UP * YMAX
    CT.ScaleWidth = gbXMULT * XMAX * UP
End Sub

Private Sub Class_Initialize()
    UP = 1# + gbEXPAND
    DOWN = 1# - gbEXPAND
End Sub

Public Sub AddTics(CT As Control)
Dim i%, dx!, dy!, X!, Y!
Dim labx$, laby$, dxlab!, dylab!, xlab!, ylab!
    dx = CT.ScaleWidth / (gbNX - 1)
    dy = CT.ScaleTop / (gbNY - 1)
    dxlab = CT.Width / (gbNX - 1)
    dylab = CT.Height / (gbNY - 1)
    xTic = CT.ScaleWidth / 40
    yTic = CT.ScaleTop / 40
    
    For i = 1 To gbNX
        X = dx * (i - 1)
        If i > 1 And i < gbNX Then
            CT.DrawWidth = 2
            CT.CurrentX = X
            CT.CurrentY = 0
            CT.Line -(X, yTic)
            CT.CurrentX = X
            CT.CurrentY = CT.ScaleTop
            CT.Line -(X, CT.ScaleTop - yTic)
            CT.DrawWidth = 1
        End If
        
        labx = Format$(X / gbXMULT, "0.0")
        xlab = dxlab * (i - 1) + CT.Left
        ylab = CT.Top + CT.Height
        frmEtherClient.CurrentX = xlab - 0.5 * frmEtherClient.TextWidth(labx)
        frmEtherClient.CurrentY = ylab + 0.5 * frmEtherClient.TextHeight("AA")
        frmEtherClient.Print labx
    Next i
    
    For i = 1 To gbNY
        Y = dy * (i - 1)
        If i > 1 And i < gbNY Then
            CT.DrawWidth = 2
            CT.CurrentX = 0
            CT.CurrentY = Y
            CT.Line -(xTic, Y)
            CT.CurrentX = CT.ScaleWidth
            CT.CurrentY = Y
            CT.Line -(CT.ScaleWidth - xTic, Y)
            CT.DrawWidth = 1
        End If
        
        laby = Format$(Y / gbYMULT, "0.0")
        xlab = CT.Left - 400
        ylab = CT.Top + CT.Height - dylab * (i - 1)
        frmEtherClient.CurrentX = xlab
        frmEtherClient.CurrentY = ylab - 0.5 * frmEtherClient.TextHeight("AA")
        frmEtherClient.Print laby
    Next i
End Sub

Public Sub ShowGrid()

End Sub
